Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 340)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 341)
@@ -3062,8 +3062,8 @@
 
                     strSQL.Append(" Union Select");
                     strSQL.Append(" A2.ConstrDepCode As DEPARTMENTCODE");
-                    strSQL.Append(" , B2.DetailString As DEPARTMENTSTRING");
-                    strSQL.Append(" , ifnull(C2.DisplayOrder, 10) As DISPLAYORDER");
+                    strSQL.Append(", B2.DetailString As DEPARTMENTSTRING");
+                    strSQL.Append(", ifnull(C2.DisplayOrder, 10) As DISPLAYORDER");
                     strSQL.Append(" From Constructionbaseinfo As A2");
                     strSQL.Append(" Inner Join constructionbaseinfodetail As B2");
                     strSQL.Append("       On B2.ConstructionCode = A2.ConstructionCode");
@@ -3241,8 +3241,73 @@
         }
         #endregion
 
+        #region 経費率リスト取得処理
+        /// <summary>
+        /// 経費率リストを取得する
+        /// </summary>
+        /// <returns></returns>
+        public static bool GetExpensesList(int Preiod, int DepartmentCode, ref ArrayList ExpensesList)
+        {
+            IOMDepartmentExpenses expDB = new IOMDepartmentExpenses();
+            try
+            {
+                // 部署経費率マスタ取得
+                StringBuilder strSQL = new StringBuilder();
+                if (CheckNowSeason(Preiod))
+                {   // 今期データ
+                    strSQL.Append("SELECT");
+                    strSQL.Append(" A.NAMESTRING");
+                    strSQL.Append(", IFNULL(B.EXPENSESRAITO, 0)");
+                    strSQL.Append(", A.NAMECODE");
+                    strSQL.Append(" FROM");
+                    strSQL.Append(" DIVISIONMASTER AS A");
+                    strSQL.Append(" LEFT JOIN (");
+                    strSQL.Append("SELECT");
+                    strSQL.Append(" NAMECODE");
+                    strSQL.Append(", DEPARTMENTCODE");
+                    strSQL.Append(", EXPENSESRAITO");
+                    strSQL.Append(", EXPENSESPERIOD");
+                    strSQL.Append(" FROM");
+                    strSQL.Append(" DEPARTMENTEXPENSESMASTER) AS B");
+                    strSQL.Append(" ON A.NAMECODE = B.NAMECODE");
+                    strSQL.AppendFormat(" AND B.EXPENSESPERIOD = {0}", Preiod);
+                    strSQL.AppendFormat(" AND B.DEPARTMENTCODE = {0}", DepartmentCode);
+                    strSQL.AppendFormat(" WHERE A.DIVISIONCODE = {0}", (int)DivisionMaster.DivisionMasterCodeDef.ConstructionExpenses);
+                    strSQL.Append(" ORDER BY A.DISPLAYORDER");
+                }
+                else
+                {   // 以前のデータ
+                    strSQL.Append("SELECT");
+                    strSQL.Append(" NAMESTRING");
+                    strSQL.Append(", EXPENSESRAITO");
+                    strSQL.Append(", NAMECODE");
+                    strSQL.Append(" FROM");
+                    strSQL.Append(" DEPARTMENTEXPENSESMASTER AS B");
+                    strSQL.AppendFormat(" WHERE B.EXPENSESPERIOD = {0}", Preiod);
+                    strSQL.AppendFormat(" AND B.DEPARTMENTCODE = {0}", DepartmentCode);
+                    strSQL.Append(" ORDER BY B.DISPLAYORDER");
+                }
+
+                ExpensesList.Clear();
+                if (!expDB.ExecuteReader(strSQL.ToString(), ref ExpensesList)) return false;
+                if (ExpensesList.Count == 0) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                expDB.close(); expDB = null;
+            }
+        }
         #endregion
 
+        #endregion
+
         #region ---------- Excel向け操作メソッド
         #region オブジェクト開放
         /// <summary>
Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 340)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 341)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 178;
+        public static int s_SystemVersion = 180;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCommonCosts.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCommonCosts.cs	(revision 340)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCommonCosts.cs	(revision 341)
@@ -49,9 +49,9 @@
         #region 積み上げ共通仮設費
         /// <summary>
         /// 積み上げ共通仮設費[工種キー]
-        /// 10	積み上げ共通仮設費　※公共工事
+        /// 11	積み上げ共通仮設費　※公共工事
         /// </summary>
-        public static int s_PileUpCommonTempory = 10;
+        public static int s_PileUpCommonTempory = 11;
         #endregion
 
         #region 共通仮設算定率
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstrLedgerExpenses.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstrLedgerExpenses.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstrLedgerExpenses.cs	(revision 341)
@@ -0,0 +1,439 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 工事詳細台帳経費データ
+    /// </summary>
+    public class IOConstrLedgerExpenses : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 工事詳細台帳経費データフィールド並び
+        /// </summary>
+        public enum TableColumn
+        {
+            ConstructionCode = 0,       // 工事番号
+
+            SeqNo,                      // 枝番
+            NameCode,                   // 経費名称コード
+            ExpensesRaito,              // 経費率
+            ExpensesValue,              // 会社経費合計
+
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOConstrLedgerExpenses()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 工事詳細台帳経費データ検索SQL作成
+        /// <summary>
+        /// 工事詳細台帳経費データ検索SQL作成
+        /// </summary>
+        /// <returns></returns>
+        private string CreateSelectSQL()
+        {
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+
+            strcmd.Append(" ConstructionCode");     // 工事番号
+
+            strcmd.Append(", SeqNo");                // 枝番
+            strcmd.Append(", NameCode");            // 経費名称コード
+            strcmd.Append(", ExpensesRaito");       // 経費率
+            strcmd.Append(", ExpensesValue");       // 会社経費合計
+
+            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM ConstrLedgerExpenses");
+
+            return strcmd.ToString();
+        }
+        #endregion
+
+        #region 工事詳細台帳経費データ複数検索
+        /// <summary>
+        /// 工事詳細台帳経費データ複数検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<ConstrLedgerExpenses> data, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    ConstrLedgerExpenses work = new ConstrLedgerExpenses();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 工事詳細台帳経費データ1件検索
+        /// <summary>
+        /// 工事詳細台帳経費データ1件検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref ConstrLedgerExpenses data, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 工事詳細台帳経費データ1件追加
+        /// <summary>
+        /// 工事詳細台帳経費データ1件追加
+        /// </summary>
+        /// <param name="data">工事詳細台帳経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(ConstrLedgerExpenses work, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                bool bColFirst = true;
+                strcmd.Append("INSERT INTO ConstrLedgerExpenses");
+                strcmd.Append(" (");
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
+                    bColFirst = false;
+                }
+                strcmd.Append(") VALUES (");
+
+                strcmd.AppendFormat("  {0}", work.ConstructionCode);                // 工事番号
+
+                strcmd.AppendFormat(", {0}", work.SeqNo);                           // 枝番
+                strcmd.AppendFormat(", {0}", work.NameCode);                        // 経費名称コード
+                strcmd.AppendFormat(", {0}", work.ExpensesRaito);                   // 経費率
+                strcmd.AppendFormat(", {0}", work.ExpensesValue);                   // 会社経費合計
+
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                strcmd.Append(")");
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 工事詳細台帳経費データ複数追加
+        /// <summary>
+        /// 工事詳細台帳経費データ複数追加
+        /// </summary>
+        /// <param name="data">工事詳細台帳経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<ConstrLedgerExpenses> data, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                bool bColFirst = true;
+                strcmd.Append("INSERT INTO ConstrLedgerExpenses");
+                strcmd.Append(" (");
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
+                    bColFirst = false;
+                }
+                strcmd.Append(") VALUES");
+
+                bool bDataFirst = true;
+                foreach (ConstrLedgerExpenses work in data)
+                {
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
+
+                    strcmd.AppendFormat("  {0}", work.ConstructionCode);                // 工事番号
+
+                    strcmd.AppendFormat(", {0}", work.SeqNo);                           // 枝番
+                    strcmd.AppendFormat(", {0}", work.NameCode);                        // 経費名称コード
+                    strcmd.AppendFormat(", {0}", work.ExpensesRaito);                   // 経費率
+                    strcmd.AppendFormat(", {0}", work.ExpensesValue);                   // 会社経費合計
+
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
+
+                    bDataFirst = false;
+                }
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 工事詳細台帳経費データ更新
+        /// <summary>
+        /// 工事詳細台帳経費データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">工事詳細台帳経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, ConstrLedgerExpenses data, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append("UPDATE ConstrLedgerExpenses");
+
+                strcmd.Append(" SET");
+
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);	        // 工事番号
+
+                strcmd.AppendFormat(", SeqNo = {0}", data.SeqNo);                               // 枝番
+                strcmd.AppendFormat(", NameCode = {0}", data.NameCode);                         // 経費名称コード
+                strcmd.AppendFormat(", ExpensesRaito = {0}", data.ExpensesRaito);               // 経費率
+                strcmd.AppendFormat(", ExpensesValue = {0}", data.ExpensesValue);               // 会社経費合計
+
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 工事詳細台帳経費データ削除
+        /// <summary>
+        /// 工事詳細台帳経費データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">工事詳細台帳経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM ConstrLedgerExpenses", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目の更新を行う
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int SeqNo, int NameCode
+                                , int FeildNo, object value, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append("UPDATE ConstrLedgerExpenses");
+
+                strcmd.Append(" SET");
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.ConstructionCode:          // 工事番号
+                        strcmd.AppendFormat(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.SeqNo:                    // 枝番
+                        strcmd.AppendFormat(" SeqNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.NameCode:                 // 経費名称コード
+                        strcmd.AppendFormat(" NameCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ExpensesRaito:            // 経費率
+                        strcmd.AppendFormat(" ExpensesRaito = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.ExpensesValue:            // 会社経費合計
+                        strcmd.AppendFormat(" ExpensesValue = {0}", ((long)value).ToString());
+                        break;
+                    default:
+                        break;
+                }
+
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(CreatePrimarykeyString(ConstructionCode, SeqNo, NameCode));
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region MySQLDataReaderより構造体へセットする
+        /// <summary>
+        /// MySQLDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">MySQLDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref ConstrLedgerExpenses wrk)
+        {
+            try
+            {
+                // データ取得
+
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());             // 工事番号
+
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                                   // 枝番
+                wrk.NameCode = int.Parse(objwrk[(int)TableColumn.NameCode].ToString());                             // 経費名称コード
+                wrk.ExpensesRaito = double.Parse(objwrk[(int)TableColumn.ExpensesRaito].ToString());                // 経費率
+                wrk.ExpensesValue = long.Parse(objwrk[(int)TableColumn.ExpensesValue].ToString());                  // 会社経費合計
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <returns></returns>
+        public string CreatePrimarykeyString(int ConstructionCode, int SeqNo = 0, int NameCode = 0)
+        {
+            StringBuilder strWork = new StringBuilder();
+            try
+            {
+                strWork.AppendFormat(" Where ConstructionCode = {0}", ConstructionCode);
+                if (SeqNo > 0)
+                    strWork.AppendFormat(" And SeqNo = {0}", SeqNo);
+                if (NameCode > 0)
+                    strWork.AppendFormat(" And NameCode = {0}", NameCode);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
+            }
+
+            return strWork.ToString();
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs	(revision 340)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs	(revision 341)
@@ -80,29 +80,25 @@
             StringBuilder strcmd = new StringBuilder();
             strcmd.Append("SELECT");
 
-            strcmd.Append(" ConstructionCode");     // 工事番号
+            strcmd.Append(" ConstructionCode");                                 // 工事番号
+            strcmd.Append(", ConstructionPeriod");                              // 事業期
+            strcmd.Append(", CreatorCode");                                     // 作成者コード
+            strcmd.Append(", CreatorName");    	                                // 作成者名
+            strcmd.Append(", DATE_FORMAT(CreateDate, '%Y/%m/%d')");             // 作成日
+            strcmd.Append(", ConstructionTimes");                               // 工期（単位・月）
+            strcmd.Append(", DATE_FORMAT(ConstructionStart, '%Y/%m/%d')");      // 契約工期開始
+            strcmd.Append(", DATE_FORMAT(ConstructionEnd, '%Y/%m/%d')");        // 契約工期完了
+            strcmd.Append(", OrdersDecisionPrice");                             // 税抜受注決定金額
+            strcmd.Append(", CompanyExpenses");                                 // 会社経費合計
+            strcmd.Append(", DepartmentExpenses");                              // 部署経費合計
+            strcmd.Append(", SalesExpenses");                                   // 営業経費合計
+            strcmd.Append(", TotalPayment");                                    // 総支払額
+            strcmd.Append(", GrossProfit");                                     // 粗利
+            strcmd.Append(", Allowance");                                       // 給与
+            strcmd.Append(", NetProfit");                                       // 純利益
+            strcmd.Append(", ComplateFlg");                                     // 入力完了フラグ
+            strcmd.Append(", IntegrationFlg");                                  // 受注金額積算フラグ
 
-            strcmd.Append(" ,ConstructionPeriod");  // 事業期
-            strcmd.Append(" ,CreatorCode");         // 作成者コード
-            strcmd.Append(" ,CreatorName");    	    // 作成者名
-            strcmd.Append(" ,DATE_FORMAT(CreateDate, '%Y/%m/%d')");
-                                                    // 作成日
-            strcmd.Append(" ,ConstructionTimes");   // 工期（単位・月）
-            strcmd.Append(" ,DATE_FORMAT(ConstructionStart, '%Y/%m/%d')");
-                                                    // 契約工期開始
-            strcmd.Append(" ,DATE_FORMAT(ConstructionEnd, '%Y/%m/%d')");
-                                                    // 契約工期完了
-            strcmd.Append(" ,OrdersDecisionPrice");  // 税抜受注決定金額
-            strcmd.Append(" ,CompanyExpenses");      // 会社経費合計
-            strcmd.Append(" ,DepartmentExpenses");   // 部署経費合計
-            strcmd.Append(" ,SalesExpenses");        // 営業経費合計
-            strcmd.Append(" ,TotalPayment");         // 総支払額
-            strcmd.Append(" ,GrossProfit");          // 粗利
-            strcmd.Append(" ,Allowance");            // 給与
-            strcmd.Append(" ,NetProfit");            // 純利益
-            strcmd.Append(" ,ComplateFlg");          // 入力完了フラグ
-            strcmd.Append(" ,IntegrationFlg");       // 受注金額積算フラグ
-
             strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
             strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
             strcmd.Append(" FROM ConstructionLedger");
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionProgressDate.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionProgressDate.cs	(revision 340)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionProgressDate.cs	(revision 341)
@@ -281,7 +281,7 @@
         /// 1項目の更新を行う
         /// </summary>
         /// <returns></returns>
-        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        public bool UpdateFeild(int ConstructionCode, DateTime ChangeDate, int FeildNo, object value, bool bConnect = true)
         {
             StringBuilder strcmd = new StringBuilder();
             try
@@ -309,7 +309,7 @@
                 }
 
                 strcmd.Append(", UpdateDate = NOW()");
-                strcmd.Append(CreatePrimarykeyString(ConstructionCode));
+                strcmd.Append(CreatePrimarykeyString(ConstructionCode, ChangeDate));
 
                 if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
@@ -361,14 +361,12 @@
         /// </summary>
         /// <param name="BusinessTypeCode"></param>
         /// <returns>Where文字列</returns>
-        public string CreatePrimarykeyString(int ConstructionCode, int ConstructionStatusFlg = -1)
+        public string CreatePrimarykeyString(int ConstructionCode)
         {
             StringBuilder strWork = new StringBuilder();
             try
             {
                 strWork.AppendFormat(" Where ConstructionCode = {0}", ConstructionCode.ToString());
-                if (ConstructionStatusFlg != -1)
-                    strWork.AppendFormat(" And ConstructionStatusFlg = {0}", ConstructionStatusFlg.ToString());
 
                 return strWork.ToString();
             }
@@ -378,6 +376,22 @@
                 return string.Empty;
             }
         }
+        public string CreatePrimarykeyString(int ConstructionCode, DateTime ChangeDate)
+        {
+            StringBuilder strWork = new StringBuilder();
+            try
+            {
+                strWork.AppendFormat(" Where ConstructionCode = {0}", ConstructionCode.ToString());
+                strWork.AppendFormat(" And ChangeDate = STR_TO_DATE('{0}', '%Y/%m/%d %H:%i:%s')", ChangeDate.ToString());
+
+                return strWork.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
+                return string.Empty;
+            }
+        }
         #endregion
     }
 }
